<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DataSource\ParameterBag;

class EndeProspectController extends TeknisaCrud
{
    protected $dataSourceName = 'endeprospect_localidade';
    protected $environment;
    protected $entityManager;
    protected $connection;
    protected $parameterBagColumns = array("P_NRORG", "P_NRORGPADRAO");
    
    public function __construct ($crudService, $parameterBag, $entityManager, $environment)
    {
        $this->connection                 = $entityManager->getConnection();
        $this->entityManager              = $entityManager;
        $this->environment                = $environment;

        parent::__construct($crudService, $parameterBag);
    }
}
?>